
Name:           kgpg
Summary:        Control your GPG keys
Version: 	23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://utils.kde.org/projects/kgpg
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Source1:        org.kde.kgpg.desktop
BuildRequires: cmake
BuildRequires: lib64boost-devel 
BuildRequires: lib64gpg-error-devel 
BuildRequires: lib64gpgme-devel 
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5akonadicontact-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: libxml2-utils
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

Requires:       kde-cli-tools


%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files
%_kf5_bindir
%_kf5_datadir
%_kf5_sysconfdir

#------------------------------------------------------------------------------

%package -n kgpg-handbook
Summary:        kgpg Handbook
Group:          Documentation
BuildArch:      noarch
Requires: %name

%description -n kgpg-handbook
This package provides kgpg Handbook.

%files -n kgpg-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

#autostart only in KDE
install -m 0644 %SOURCE1 %buildroot/%_kf5_sysconfdir/xdg/autostart/org.kde.%{name}.desktop

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

